org.apache.fop.render.awt.viewer

## Interface Renderable

All Known Implementing Classes:
  AreaTreeInputHandler, IFInputHandler, ImageInputHandler, InputHandler

    public interface Renderable

The interface is used by the AWT preview dialog to reload a document.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `renderTo(FOUserAgent userAgent, String outputFormat)` Renders the pre-setup document.

### Method Detail

#### renderTo

    void renderTo(FOUserAgent userAgent,
                  String outputFormat)
           throws FOPException

Renders the pre-setup document.

Parameters:
  `userAgent` - the user agent
  `outputFormat` - the output format to generate (MIME type, see MimeConstants)
Throws:
  `FOPException` - if the FO processing fails